"""
Django settings for gracedb project.
Environment variable DJANGO_SETTINGS_MODULE should be set for a
given instance to determine the settings to run.


Description of settings:
    BASE SETTINGS - not to be used as a full settings configuration
    ---------------------------------------------------------------
    base.py   - contains the basic settings for running a GraceDB
                server.
    secret.py - generated by Puppet, contains secret settings like the
                database password, API keys, etc. For use with VM-based
                deployments.  DO NOT EDIT.

    Virtual machine deployments
    ---------------------------
    vm/production.py - settings for a VM-based production instance deployed
                       with Puppet.
    vm/dev.py        - settings for Va M-based production instance deployed
                       with Puppet.

    Container-based deployments
    ---------------------------
    NOTE: many settings are imported from environment variables for
    this deployment type!

    container/production.py - settings for a container-based deployment
                              of a production instance.
    container/dev.py        - settings for a container-based deployment of a
                              development instance.
"""
