# -*- coding: utf-8 -*-
# Generated by Django 1.11.5 on 2017-10-25 19:04
from __future__ import unicode_literals

from django.db import migrations

# Creates initial search group instances

# List of search group names
SEARCH_GROUPS = [
    'CBC',
    'Stochastic',
    'Burst',
    'Coherent',
    'Test',
    'External',
]

def add_groups(apps, schema_editor):
    Group = apps.get_model('events', 'Group')

    # Create groups
    for group_name in SEARCH_GROUPS:
        group, created = Group.objects.get_or_create(name=group_name)

def remove_groups(apps, schema_editor):
    Group = apps.get_model('events', 'Group')

    # Delete groups
    Group.objects.filter(name__in=SEARCH_GROUPS).delete()

class Migration(migrations.Migration):

    dependencies = [
        ('events', '0001_initial'),
    ]

    operations = [
        migrations.RunPython(add_groups, remove_groups)
    ]
