# -*- coding: utf-8 -*-
# Generated by Django 1.11.14 on 2018-09-17 19:46
from __future__ import unicode_literals

from django.db import migrations

PIPELINES = [
    {
        'old_name': 'LIB',
        'new_name': 'oLIB',
    },
    {
        'old_name': 'gstlal-spiir',
        'new_name': 'spiir',
    },
]

def rename_pipelines(apps, schema_editor):
    Pipeline = apps.get_model('events', 'Pipeline')

    # Rename pipelines
    for p in PIPELINES:
        pipeline = Pipeline.objects.get(name=p['old_name'])
        pipeline.name = p['new_name']
        pipeline.save(update_fields=['name'])


def unrename_pipelines(apps, schema_editor):
    Pipeline = apps.get_model('events', 'Pipeline')

    # Rename pipelines
    for p in PIPELINES:
        pipeline = Pipeline.objects.get(name=p['new_name'])
        pipeline.name = p['old_name']
        pipeline.save(update_fields=['name'])


class Migration(migrations.Migration):

    dependencies = [
        ('guardian', '0003_update_emfollow_accounts'),
        ('events', '0016_delete_old_tag_event_logs_table'),
    ]

    operations = [
        migrations.RunPython(rename_pipelines, unrename_pipelines),
    ]
