# -*- coding: utf-8 -*-
# Generated by Django 1.11.5 on 2017-10-27 14:39
from __future__ import unicode_literals

from django.db import migrations

# Previously, this was taken from settings.LVC_GROUP, but that value has
# changed. So we have to hard-code it for past migrations.
LVC_GROUP = 'Communities:LSCVirgoLIGOGroupMembers'

# List of robot user account information and their corresponding
# x509 certificate subjects. Based on current production database
# content (27 Oct 2017)
LOCALUSERS = [
    {
		'username': 'bayestar-mic',
		'last_name': 'BAYESTAR O3 Preview',
		'email': 'leo.singer@ligo.org',
		'x509certs': [
            '/DC=org/DC=ligo/O=LIGO/OU=Services/CN=Online_CBC_BAYESTAR_O3_Preview/node746.cluster.ldas.cit'
        ],
    },
    {
		'username': 'bayeswave',
		'last_name': 'BayesWave at CIT',
		'email': 'margaret.millhouse@montana.edu',
		'x509certs': [
            '/DC=org/DC=ligo/O=LIGO/OU=Services/CN=bw_online/ldas-grid.ligo.caltech.edu',
            '/DC=org/DC=ligo/O=LIGO/OU=Services/CN=bayeswave/ldas-grid.ligo.caltech.edu'
        ],
    },
    {
		'username': 'bwb_online',
		'last_name': 'BWB Online at CIT',
		'email': 'meg.millhouse@ligo.org',
		'x509certs': [
			'/DC=org/DC=ligo/O=LIGO/OU=Services/CN=bwb_online/ldas-grid.ligo.caltech.edu'
        ],
    },
    {
		'username': 'cds_lho',
		'last_name': 'CDS at LHO',
		'email': 'barker@ligo-wa.caltech.edu',
		'x509certs': [
			'/DC=org/DC=ligo/O=LIGO/OU=Services/CN=h1fescript0/cds.ligo-wa.caltech.edu'
        ],
    },
    {
		'username': 'cds_llo',
		'last_name': 'CDS at LLO',
		'email': 'kthorne@ligo-la.caltech.edu',
		'x509certs': [
			'/DC=org/DC=ligo/O=LIGO/OU=Services/CN=exttrig/cds-outbound.ligo-la.caltech.edu'
        ],
    },
    {
		'username': 'detchar',
		'last_name': 'Detchar',
		'email': 'pankow@gravity.phys.uwm.edu',
		'x509certs': [
			'/DC=org/DC=ligo/O=LIGO/OU=Services/CN=detchar/dcs.ligo-wa.caltech.edu',
            '/DC=org/DC=ligo/O=LIGO/OU=Services/CN=detchar/detchar.ligo.caltech.edu',
            '/DC=org/DC=ligo/O=LIGO/OU=Services/CN=detchar/ldas-pcdev1.ligo-la.caltech.edu'
        ],
    },
    {
		'username': 'excesspower-processor',
		'last_name': 'Excess Power Processor',
		'email': 'pankow@gravity.phys.uwm.edu',
		'x509certs': [
			'/DC=org/DC=doegrids/OU=Services/CN=excesspower-processor/marlin.phys.uwm.edu'
        ],
    },
    {
		'username': 'exttrig',
		'last_name': 'exttrig',
		'email': 'kthorne@ligo-la.caltech.edu',
		'x509certs': [
			'/DC=org/DC=ligo/O=LIGO/OU=Services/CN=exttrig/cds-output.ligo-la.caltech.edu'
        ],
    },
    {
		'username': 'gcn_circulars',
		'last_name': 'GCN Circulars',
		'email': 'roy.williams@ligo.org',
		'x509certs': [
			'/DC=org/DC=ligo/O=LIGO/OU=Services/CN=gcncirculars/embb-dev.ligo.caltech.edu'
        ],
    },
    {
		'username': 'gcn_sender',
		'last_name': 'GCN Sender',
		'email': 'branson@gravity.phys.uwm.edu',
		'x509certs': [
			'/DC=org/DC=ligo/O=LIGO/OU=Services/CN=approvalbot/curly.phys.uwm.edu',
            '/DC=org/DC=ligo/O=LIGO/OU=Services/CN=gcn_sender/gracedb.phys.uwm.edu',
            '/DC=org/DC=ligo/O=LIGO/OU=Services/CN=gcn_sender/archie.phys.uwm.edu'
        ],
    },
    {
		'username': 'gdb-processor',
		'last_name': 'GDB Processor',
		'email': 'gdb_processor@gravity.phys.uwm.edu ',
		'x509certs': [
			'/DC=org/DC=ligo/O=LIGO/OU=Services/CN=gdb_processor/pcdev2.phys.uwm.edu',
            '/DC=org/DC=ligo/O=LIGO/OU=Services/CN=gdb-processor/marlin.phys.uwm.edu'
        ],
    },
    {
		'username': 'gdb_pe',
		'last_name': 'GDB PE',
		'email': 'vivien@caltech.edu',
		'x509certs': [
			'/DC=org/DC=ligo/O=LIGO/OU=Services/CN=gdb_pe/ldas-pcdev1.ligo.caltech.edu'
        ],
    },
    {
		'username': 'gis',
		'last_name': 'GIS',
		'email': 'xavier.amador@ligo.org',
		'x509certs': [
			'/DC=org/DC=doegrids/OU=Services/CN=gis/lscgis.phys.uwm.edu'
        ],
    },
    {
		'username': 'gracedb.processor',
		'last_name': 'GraceDB Processor',
		'email': 'alexander.urban@ligo.org',
		'x509certs': [
			'/DC=org/DC=ligo/O=LIGO/OU=Services/CN=gracedb.processor/ldas-grid.ligo.caltech.edu',
            '/DC=org/DC=ligo/O=LIGO/OU=Services/CN=gracedb.processor/emfollow.ligo.caltech.edu'
        ],
    },
    {
		'username': 'grb.exttrig',
		'last_name': 'GRB ExtTrig',
		'email': 'talukder@uoregon.edu',
		'x509certs': [
			'/DC=org/DC=ligo/O=LIGO/OU=Services/CN=grb.exttrig/ldas-pcdev1.ligo.caltech.edu'
        ],
    },
    {
		'username': 'GRD_INJ',
		'last_name': 'GRD Injection',
		'email': 'cmbiwer@syr.edu',
		'x509certs': [
			'/DC=org/DC=ligo/O=LIGO/OU=Services/CN=GRD_INJ/h1guardian0.cds.ligo-wa.caltech.edu'
        ],
    },
    {
		'username': 'gstinjector',
		'last_name': 'gstinjector',
		'email': 'laleh.sadeghian@ligo.org',
		'x509certs': [
			'/DC=org/DC=ligo/O=LIGO/OU=Services/CN=gstinjector/soapbox.cgca.uwm.edu',
            '/DC=org/DC=ligo/O=LIGO/OU=Services/CN=gstinjector/ldas-pcdev13.ligo.caltech.edu',
            '/DC=org/DC=ligo/O=LIGO/OU=Services/CN=gstinjector/peloton.cgca.uwm.edu'
        ],
    },
    {
		'username': 'gstlal-spiir',
		'last_name': 'GSTLAL SPIIR Analysis',
		'email': 'qi.chu@ligo.org',
		'x509certs': [
			'/DC=org/DC=ligo/O=LIGO/OU=Services/CN=gstlal-spiir/ldas-pcdev1.ligo.caltech.edu'
        ],
    },
    {
		'username': 'gstlal-spiir-gpu',
		'last_name': 'GSTLAL SPIIR GPU Analysis',
		'email': 'qi.chu@ligo.org',
		'x509certs': [
			'/DC=org/DC=ligo/O=LIGO/OU=Services/CN=gstlal-spiir-gpu/ldas-pcdev1.ligo.caltech.edu'
        ],
    },
    {
		'username': 'gstlalbbh',
		'last_name': 'GstlalBBH at CIT',
		'email': 'kent@ligo.caltech.edu',
		'x509certs': [
			'/DC=org/DC=ligo/O=LIGO/OU=Services/CN=gstlalbbh/ldas-grid.ligo.caltech.edu'
        ],
    },
    {
		'username': 'gstlalcbc',
		'last_name': 'GstLal CBC',
		'email': 'chad.r.hanna@gmail.com',
		'x509certs': [
			'/DC=org/DC=ligo/O=LIGO/OU=Services/CN=gstlalcbc/pcdev3.phys.uwm.edu',
            '/DC=org/DC=ligo/O=LIGO/OU=Services/CN=gstlalcbc/cbc.ligo.caltech.edu',
            '/DC=org/DC=ligo/O=LIGO/OU=Services/CN=gstlalcbc/ldas-pcdev1.ligo.caltech.edu'
        ],
    },
    {
		'username': 'gstlalcbcbbh',
		'last_name': 'gstlal BBH',
		'email': 'laleh.sadeghian@ligo.org',
		'x509certs': [
			'/DC=org/DC=ligo/O=LIGO/OU=Services/CN=gstlalcbcbbh/pcdev3.phys.uwm.edu'
        ],
    },
    {
        'username': 'hinj',
        'last_name': 'HWINJ Monitor',
        'email': 'mhulko@caltech.edu',
        'x509certs': [
            '/DC=org/DC=ligo/O=LIGO/OU=Services/CN=hinj/ldas-grid.ligo.caltech.edu'
        ],
    },
    {
		'username': 'idq-la',
		'last_name': 'iDQ at LLO',
		'email': 'ressick@mit.edu',
		'x509certs': [
			'/DC=org/DC=ligo/O=LIGO/OU=Services/CN=idqLLO/ldas-grid.ligo-la.caltech.edu'
        ],
    },
    {
		'username': 'idq-wa',
		'last_name': 'iDQ at LHO',
		'email': 'ressick@mit.edu',
		'x509certs': [
			'/DC=org/DC=ligo/O=LIGO/OU=Services/CN=idqLHO/ldas-grid.ligo-wa.caltech.edu'
        ],
    },
    {
		'username': 'LIB_PE',
		'last_name': 'LIB PE at CIT',
		'email': 'salvatore.vitale@ligo.mit.edu',
		'x509certs': [
			'/DC=org/DC=ligo/O=LIGO/OU=Services/CN=LIB/ldas-pcdev5.ligo.caltech.edu'
        ],
    },
    {
		'username': 'losc_summary',
		'last_name': 'LOSC Summary',
		'email': 'tmassing@ligo.caltech.edu',
		'x509certs': [
			'/DC=org/DC=ligo/O=LIGO/OU=Services/CN=publicsummary/losc-data.ligo.caltech.edu'
        ],
    },
    {
		'username': 'lumin',
		'last_name': 'LUMIN',
		'email': 'bmoe@gravity.phys.uwm.edu',
		'x509certs': [
			'/DC=org/DC=doegrids/OU=Services/CN=luminrobot/ldas-pcdev1.ligo.caltech.edu'
        ],
    },
    {
		'username': 'MbtaAlert',
		'last_name': 'MBTA Alert',
		'email': 'mours@lapp.in2p3.fr',
		'x509certs': [
			'/C=IT/O=INFN/OU=Service/L=EGO/CN=MbtaAlert/olnode33.virgo.infn.it',
            '/C=IT/O=INFN/OU=Service/L=EGO/CN=MbtaAlert/olserver54.virgo.infn.it',
            '/C=IT/O=INFN/OU=Service/L=EGO/CN=MbtaAlert/lscgw.virgo.infn.it',
            '/C=IT/O=INFN/OU=Service/L=EGO/CN=MbtaAlert/olnode04.virgo.infn.it'
        ],
    },
    {
		'username': 'nagios',
		'last_name': 'Nagios Monitor',
		'email': 'admins@phys.uwm.edu',
		'x509certs': [
			'/DC=org/DC=doegrids/OU=Services/CN=nagios/sentry.phys.uwm.edu',
            '/DC=org/DC=ligo/O=LIGO/OU=Services/CN=nagios/sentry.phys.uwm.edu',
            '/DC=org/DC=ligo/O=LIGO/OU=Services/CN=nagios/gracedb.cgca.uwm.edu',
            '/DC=org/DC=ligo/O=LIGO/OU=Services/CN=nagios/dashboard.cgca.uwm.edu'
        ],
    },
    {
		'username': 'oLIB',
		'last_name': 'oLIB at CIT',
		'email': 'rlynch@mit.edu',
		'x509certs': [
			'/DC=org/DC=ligo/O=LIGO/OU=Services/CN=oLIB/ldas-grid.ligo.caltech.edu'
        ],
    },
    {
        'username': 'omega',
        'last_name': 'Omega Analysis',
        'email': '',
        'x509certs': [
            '/DC=org/DC=doegrids/OU=Services/CN=omegarobot/node499.ldas-cit.ligo.caltech.edu'
        ],
    },
    {
		'username': 'pankow',
		'last_name': 'Pankow Robot',
		'email': 'pankow@gravity.phys.uwm.edu',
		'x509certs': [
			'/DC=org/DC=ligo/O=LIGO/OU=Services/CN=pankow/pcdev2.cgca.uwm.edu'
        ],
    },
    {
		'username': 'pycbclive',
		'last_name': 'PyCBC Live',
		'email': 'alex.nitz@aei.mpg.de',
		'x509certs': [
			'/DC=org/DC=ligo/O=LIGO/OU=Services/CN=pycbclive/pycbclive.atlas.aei.uni-hannover.de'
        ],
    },
    {
		'username': 'skymap_viewer',
		'last_name': 'SkymapViewer',
		'email': 'roy.williams@ligo.org',
		'x509certs': [
			'/DC=org/DC=ligo/O=LIGO/OU=Services/CN=SkymapViewer/losc-data.ligo.caltech.edu'
        ],
    },
    {
		'username': 'TIGER',
		'last_name': 'TIGER at CIT',
		'email': 'salvatore.vitale@ligo.org',
		'x509certs': [
			'/DC=org/DC=ligo/O=LIGO/OU=Services/CN=TIGER/ldas-pcdev1.ligo.caltech.edu'
        ],
    },
    {
		'username': 'virgo_detchar',
		'last_name': 'Virgo Detchar',
		'email': 'leroy@lal.in2p3.fr',
		'x509certs': [
			'/DC=org/DC=ligo/O=LIGO/OU=Services/CN=Virgodetchar/lscgw.virgo.infn.it'
        ],
    },
    {
		'username': 'waveburst',
		'last_name': 'Cwb Analysis',
		'email': 'bmoe@gravity.phys.uwm.edu',
		'x509certs': [
			'/DC=org/DC=doegrids/OU=Services/CN=waveburst/ldas-pcdev1.ligo.caltech.edu',
            '/DC=org/DC=ligo/O=LIGO/OU=Services/CN=waveburst/ldas-pcdev1.ligo-wa.caltech.edu',
            '/DC=org/DC=ligo/O=LIGO/OU=Services/CN=waveburst/ldas-pcdev1.ligo-la.caltech.edu',
            '/DC=org/DC=ligo/O=LIGO/OU=Services/CN=waveburst/ldas-grid.ligo-wa.caltech.edu',
            '/DC=org/DC=ligo/O=LIGO/OU=Services/CN=waveburst/ldas-grid.ligo-la.caltech.edu',
            '/DC=org/DC=ligo/O=LIGO/OU=Services/CN=waveburst/ldas-grid.ligo.caltech.edu',
            '/DC=org/DC=ligo/O=LIGO/OU=Services/CN=waveburst/ldas-pcdev1.ligo.caltech.edu',
            '/DC=org/DC=ligo/O=LIGO/OU=Services/CN=waveburst-atlas/atlas9.atlas.aei.uni-hannover.de'
        ],
    },
]

def add_localusers_and_x509certs(apps, schema_editor):
    LocalUser = apps.get_model('ligoauth', 'LocalUser')
    X509Cert = apps.get_model('ligoauth', 'X509Cert')
    Group = apps.get_model('auth', 'Group')

    # Create user accounts
    lvc_group = Group.objects.get(name=LVC_GROUP)
    for l_dict in LOCALUSERS:
        localuser, created = LocalUser.objects.get_or_create(username=l_dict['username'])
        localuser.last_name = l_dict['last_name']
        localuser.email = l_dict['email']
        localuser.save()

        # Add user to LSC group
        lvc_group.user_set.add(localuser)

        # Create corresponding X509 certificates
        for subject in l_dict['x509certs']:
            cert, c_created = X509Cert.objects.get_or_create(subject=subject)
            cert.users.add(localuser)

def remove_localusers_and_x509certs(apps, schema_editor):
    LocalUser = apps.get_model('ligoauth', 'LocalUser')
    X509Cert = apps.get_model('ligoauth', 'X509Cert')

    for l_dict in LOCALUSERS:
        try:
            localuser = LocalUser.objects.get(username=l_dict['username'])
        except LocalUser.DoesNotExist:
            print('LocalUser {0} not found to be deleted, skipping' \
                .format(l_dict['username']))
        for subject in l_dict['x509certs']:
            try:
                cert = X509Cert.objects.get(subject=subject)
            except X509Cert.DoesNotExist:
                print(('X509Cert with subject {0}, corresponding to user {1} '
                    'not found to be deleted, skipping').format(subject,
                    l_dict['username']))
            cert.delete()
        localuser.delete()

class Migration(migrations.Migration):

    dependencies = [
        ('auth', '0010_initial_group_data'),
        ('ligoauth', '0002_set_ligoauth_ligoldapuser_charset'),
    ]

    operations = [
        migrations.RunPython(add_localusers_and_x509certs,
            remove_localusers_and_x509certs),
    ]

