# -*- coding: utf-8 -*-
# Generated by Django 1.11.16 on 2018-10-01 16:26
from __future__ import unicode_literals

from django.db import migrations

ACCOUNT = {
    'username': 'pycbclive',
    'old_cert': '/DC=org/DC=ligo/O=LIGO/OU=Services/CN=pycbclive/pycbclive.atlas.aei.uni-hannover.de',
    'new_cert': '/DC=org/DC=ligo/O=LIGO/OU=Services/CN=pycbclive/ldas-grid.ligo.caltech.edu',
}

def update_certs(apps, schema_editor):
    LocalUser = apps.get_model('ligoauth', 'LocalUser')
    X509Cert = apps.get_model('ligoauth', 'X509Cert')

    # Get user
    user = LocalUser.objects.get(username=ACCOUNT['username'])

    # Delete old certificate
    old_cert = X509Cert.objects.get(subject=ACCOUNT['old_cert'])
    old_cert.delete()

    # Create new cert and associate with user
    new_cert = X509Cert.objects.create(subject=ACCOUNT['new_cert'])
    user.x509cert_set.add(new_cert)


def revert_certs(apps, schema_editor):
    LocalUser = apps.get_model('ligoauth', 'LocalUser')
    X509Cert = apps.get_model('ligoauth', 'X509Cert')

    # Get user
    user = LocalUser.objects.get(username=ACCOUNT['username'])

    # Delete new certificate
    new_cert = X509Cert.objects.get(subject=ACCOUNT['new_cert'])
    new_cert.delete()

    # Create new cert and associate with user
    old_cert = X509Cert.objects.create(subject=ACCOUNT['old_cert'])
    user.x509cert_set.add(old_cert)


class Migration(migrations.Migration):

    dependencies = [
        ('ligoauth', '0009_update_mbta_account'),
    ]

    operations = [
        migrations.RunPython(update_certs, revert_certs),
    ]
