# -*- coding: utf-8 -*-
# Generated by Django 1.11.20 on 2019-05-14 17:48
from __future__ import unicode_literals

from django.db import migrations

# Previously, this was taken from settings.LVC_GROUP, but that value has
# changed. So we have to hard-code it for past migrations.
LVC_GROUP = 'Communities:LSCVirgoLIGOGroupMembers'


ACCOUNT = {
    'username': 'gweventlistener',
    'email': 'rachel.scrandis@ligo.org',
    'first_name': '',
    'last_name': 'GwEventListener',
}
CERT = '/DC=org/DC=cilogon/C=US/O=LIGO/OU=Robots/CN=ldas-pcdev2.ligo.caltech.edu/CN=gweventlistener/CN=Rachel Scrandis/CN=UID:rachel.scrandis.robot'


def create_acct_and_cert(apps, schema_editor):
    RobotUser = apps.get_model('ligoauth', 'RobotUser')
    Group = apps.get_model('auth', 'Group')

    # Create user
    user = RobotUser.objects.create(**ACCOUNT)

    # Add user to LVC group
    group = Group.objects.get(name=LVC_GROUP)
    group.user_set.add(user)

    # Create new certificate
    user.x509cert_set.create(subject=CERT)


def delete_acct_and_cert(apps, schema_editor):
    RobotUser = apps.get_model('ligoauth', 'RobotUser')

    # Get user
    user = RobotUser.objects.get(username=ACCOUNT['username'])

    # Delete new certificate
    cert = user.x509cert_set.get(subject=CERT)
    cert.delete()

    # Delete full User object
    user.user_ptr.delete()


class Migration(migrations.Migration):

    dependencies = [
        ('ligoauth', '0031_add_cwb_cert'),
    ]

    operations = [
        migrations.RunPython(create_acct_and_cert, delete_acct_and_cert),
    ]
