# -*- coding: utf-8 -*-
# Generated by Django 1.11.20 on 2019-06-20 02:59
from __future__ import unicode_literals

from django.db import migrations

ACCOUNT = {
    'name': 'MbtaAlert',
    'new_cert': '/DC=org/DC=cilogon/C=US/O=LIGO/OU=Robots/CN=lscgw.virgo.infn.it/CN=MbtaAlert/CN=Antonella Bozzi/CN=UID:antonella.bozzi.robot',
}


def add_cert(apps, schema_editor):
    RobotUser = apps.get_model('ligoauth', 'RobotUser')

    # Get user
    user = RobotUser.objects.get(username=ACCOUNT['name'])

    # Create new certificate
    user.x509cert_set.create(subject=ACCOUNT['new_cert'])


def delete_cert(apps, schema_editor):
    RobotUser = apps.get_model('ligoauth', 'RobotUser')

    # Get user
    user = RobotUser.objects.get(username=ACCOUNT['name'])

    # Delete new certificate
    cert = user.x509cert_set.get(subject=ACCOUNT['new_cert'])
    cert.delete()


class Migration(migrations.Migration):

    dependencies = [
        ('ligoauth', '0034_add_gstlal_cert'),
    ]

    operations = [
        migrations.RunPython(add_cert, delete_cert),
    ]
