# -*- coding: utf-8 -*-
# Generated by Django 1.11.20 on 2019-06-18 16:33
from __future__ import unicode_literals

from django.db import migrations

AUTHGROUP_INFO = {
    'name': 'robot_accounts',
    'description': ('Shared robot accounts for LIGO/Virgo pipelines, '
        'follow-up processes, etc.'),
    'ldap_name': 'Communities:robot:GraceDBrobotCert',
}


def create_authgroup(apps, schema_editor):
    AuthGroup = apps.get_model('ligoauth', 'AuthGroup')

    # Create AuthGroup
    AuthGroup.objects.create(**AUTHGROUP_INFO)


def delete_authgroup(apps, schema_editor):
    AuthGroup = apps.get_model('ligoauth', 'AuthGroup')

    # Delete AuthGroup
    ag = AuthGroup.objects.get(name=AUTHGROUP_INFO['name'])
    ag.delete()


class Migration(migrations.Migration):

    dependencies = [
        ('ligoauth', '0043_x509cert_delete_users_m2m_field'),
    ]

    operations = [
        migrations.RunPython(create_authgroup, delete_authgroup),
    ]
