# -*- coding: utf-8 -*-
# Generated by Django 1.11.18 on 2018-12-05 02:47
from __future__ import unicode_literals

from django.db import migrations

GROUP_NAME = 'priority_users'
PRIORITY_USERS = [
    'detchar',
    'emfollow',
    'gstlal-spiir',
    'gstlalcbc',
    'MbtaAlert',
    'oLIB',
    'pycbclive',
    'virgo_detchar',
    'waveburst', # cWB
]


def add_users(apps, schema_editor):
    Group = apps.get_model('auth', 'Group')
    User = apps.get_model('auth', 'User')

    # Get group
    pg = Group.objects.get(name=GROUP_NAME)

    # Get users
    users = User.objects.filter(username__in=PRIORITY_USERS)

    # Add users
    pg.user_set.add(*users)


def remove_users(apps, schema_editor):
    Group = apps.get_model('auth', 'Group')
    User = apps.get_model('auth', 'User')

    # Get group
    pg = Group.objects.get(name=GROUP_NAME)

    # Get users
    users = User.objects.filter(username__in=PRIORITY_USERS)

    # Remove users
    pg.user_set.remove(*users)


class Migration(migrations.Migration):

    dependencies = [
        ('auth', '0019_create_priority_users_group'),
    ]

    operations = [
        migrations.RunPython(add_users, remove_users),
    ]
