# -*- coding: utf-8 -*-
# Generated by Django 1.11.14 on 2018-09-05 18:38
from __future__ import unicode_literals

from django.conf import settings
from django.db import migrations, models
import django.db.models.deletion


class Migration(migrations.Migration):

    initial = True

    dependencies = [
        ('events', '0018_update_models'),
        migrations.swappable_dependency(settings.AUTH_USER_MODEL),
    ]

    operations = [
        migrations.CreateModel(
            name='EMFootprint',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('N', models.IntegerField(editable=False)),
                ('ra', models.FloatField()),
                ('dec', models.FloatField()),
                ('raWidth', models.FloatField()),
                ('decWidth', models.FloatField()),
                ('start_time', models.DateTimeField()),
                ('exposure_time', models.PositiveIntegerField()),
            ],
            options={
                'ordering': ['-N'],
                'abstract': False,
            },
        ),
        migrations.CreateModel(
            name='EMObservation',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('N', models.IntegerField(editable=False)),
                ('created', models.DateTimeField(auto_now_add=True)),
                ('ra', models.FloatField(blank=True, null=True)),
                ('dec', models.FloatField(blank=True, null=True)),
                ('raWidth', models.FloatField(blank=True, null=True)),
                ('decWidth', models.FloatField(blank=True, null=True)),
                ('comment', models.TextField(blank=True)),
                ('group', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='superevents_emobservation_set', to='events.EMGroup')),
                ('submitter', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='superevents_emobservation_set', to=settings.AUTH_USER_MODEL)),
            ],
            options={
                'ordering': ['-created', '-N'],
                'abstract': False,
            },
        ),
        migrations.CreateModel(
            name='Labelling',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('created', models.DateTimeField(auto_now_add=True)),
                ('creator', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='superevents_labelling_set', to=settings.AUTH_USER_MODEL)),
                ('label', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='superevents_labelling_set', to='events.Label')),
            ],
        ),
        migrations.CreateModel(
            name='Log',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('created', models.DateTimeField(auto_now_add=True)),
                ('filename', models.CharField(blank=True, default=b'', max_length=100)),
                ('file_version', models.IntegerField(blank=True, default=None, null=True)),
                ('comment', models.TextField()),
                ('N', models.IntegerField(editable=False)),
                ('issuer', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to=settings.AUTH_USER_MODEL)),
            ],
            options={
                'ordering': ['-created', '-N'],
                'abstract': False,
                'permissions': (('expose_log', 'Can expose a log to be viewed by external users'), ('hide_log', 'Can hide a log from external users'), ('tag_log', 'Add tag to log'), ('untag_log', 'Remove tag from log'), ('view_log', 'Can view log')),
            },
        ),
        migrations.CreateModel(
            name='LogGroupObjectPermission',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('content_object', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='superevents.Log')),
                ('group', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='auth.Group')),
                ('permission', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='auth.Permission')),
            ],
            options={
                'abstract': False,
            },
        ),
        migrations.CreateModel(
            name='LogUserObjectPermission',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('content_object', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='superevents.Log')),
                ('permission', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='auth.Permission')),
                ('user', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to=settings.AUTH_USER_MODEL)),
            ],
            options={
                'abstract': False,
            },
        ),
        migrations.CreateModel(
            name='Signoff',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('comment', models.TextField(blank=True)),
                ('instrument', models.CharField(blank=True, choices=[(b'H1', b'LHO'), (b'L1', b'LLO'), (b'V1', b'Virgo')], max_length=2)),
                ('status', models.CharField(choices=[(b'OK', b'OKAY'), (b'NO', b'NOT OKAY')], max_length=2)),
                ('signoff_type', models.CharField(choices=[(b'OP', b'operator'), (b'ADV', b'advocate')], max_length=3)),
                ('submitter', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='superevents_signoff_set', to=settings.AUTH_USER_MODEL)),
            ],
            options={
                'permissions': (('view_signoff', 'Can view signoff'), ('do_H1_signoff', 'Can interact with H1 signoffs'), ('do_L1_signoff', 'Can interact with L1 signoffs'), ('do_V1_signoff', 'Can interact with V1 signoffs'), ('do_adv_signoff', 'Can interact with advocate signoffs')),
            },
        ),
        migrations.CreateModel(
            name='Superevent',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('created', models.DateTimeField(auto_now_add=True)),
                ('category', models.CharField(choices=[(b'P', b'Production'), (b'T', b'Test'), (b'M', b'MDC')], default=b'P', max_length=1)),
                ('t_start', models.DecimalField(decimal_places=6, max_digits=16)),
                ('t_0', models.DecimalField(decimal_places=6, max_digits=16)),
                ('t_end', models.DecimalField(decimal_places=6, max_digits=16)),
                ('t_0_date', models.DateField(editable=False)),
                ('base_date_number', models.PositiveIntegerField(editable=False)),
                ('base_letter_suffix', models.CharField(editable=False, max_length=10)),
                ('gw_date_number', models.PositiveIntegerField(editable=False, null=True)),
                ('gw_letter_suffix', models.CharField(editable=False, max_length=10, null=True)),
                ('is_gw', models.BooleanField(default=False)),
                ('is_exposed', models.BooleanField(default=False)),
                ('labels', models.ManyToManyField(through='superevents.Labelling', to='events.Label')),
                ('preferred_event', models.OneToOneField(on_delete=django.db.models.deletion.PROTECT, related_name='superevent_preferred_for', to='events.Event')),
                ('submitter', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to=settings.AUTH_USER_MODEL)),
            ],
            options={
                'ordering': ['-id'],
                'permissions': (('add_test_superevent', 'Can add test superevent'), ('add_mdc_superevent', 'Can add MDC superevent'), ('change_test_superevent', 'Can change test superevent'), ('change_mdc_superevent', 'Can change MDC superevent'), ('confirm_gw_superevent', 'Can confirm superevent as GW'), ('confirm_gw_test_superevent', 'Can confirm test superevent as GW'), ('confirm_gw_mdc_superevent', 'Can confirm MDC superevent as GW'), ('annotate_superevent', 'Can add log messages and EM observation data to uperevent'), ('expose_superevent', 'Can expose a superevent to be viewed by external users'), ('hide_superevent', 'Can hide a superevent from external users'), ('view_superevent', 'Can view superevent')),
            },
        ),
        migrations.CreateModel(
            name='SupereventGroupObjectPermission',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('content_object', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='superevents.Superevent')),
                ('group', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='auth.Group')),
                ('permission', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='auth.Permission')),
            ],
            options={
                'abstract': False,
                'permissions': (('view_supereventgroupobjectpermission', 'Can view superevent groupobjectpermission'),),
            },
        ),
        migrations.CreateModel(
            name='SupereventUserObjectPermission',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('content_object', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='superevents.Superevent')),
                ('permission', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='auth.Permission')),
                ('user', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to=settings.AUTH_USER_MODEL)),
            ],
            options={
                'abstract': False,
            },
        ),
        migrations.CreateModel(
            name='VOEvent',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('created', models.DateTimeField(auto_now_add=True)),
                ('ivorn', models.CharField(blank=True, default=b'', max_length=200)),
                ('filename', models.CharField(blank=True, default=b'', max_length=100)),
                ('file_version', models.IntegerField(blank=True, default=None, null=True)),
                ('N', models.IntegerField(editable=False)),
                ('voevent_type', models.CharField(choices=[(b'PR', b'preliminary'), (b'IN', b'initial'), (b'UP', b'update'), (b'RE', b'retraction')], max_length=2)),
                ('issuer', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='superevents_voevent_set', to=settings.AUTH_USER_MODEL)),
                ('superevent', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='superevents.Superevent')),
            ],
            options={
                'ordering': ['-created', '-N'],
                'abstract': False,
            },
        ),
        migrations.AddField(
            model_name='signoff',
            name='superevent',
            field=models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='superevents.Superevent'),
        ),
        migrations.AddField(
            model_name='log',
            name='superevent',
            field=models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='superevents.Superevent'),
        ),
        migrations.AddField(
            model_name='log',
            name='tags',
            field=models.ManyToManyField(related_name='superevent_logs', to='events.Tag'),
        ),
        migrations.AddField(
            model_name='labelling',
            name='superevent',
            field=models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='superevents.Superevent'),
        ),
        migrations.AddField(
            model_name='emobservation',
            name='superevent',
            field=models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='superevents.Superevent'),
        ),
        migrations.AddField(
            model_name='emfootprint',
            name='observation',
            field=models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='superevents.EMObservation'),
        ),
        migrations.AlterUniqueTogether(
            name='voevent',
            unique_together=set([('superevent', 'N')]),
        ),
        migrations.AlterUniqueTogether(
            name='supereventuserobjectpermission',
            unique_together=set([('user', 'permission', 'content_object')]),
        ),
        migrations.AlterUniqueTogether(
            name='supereventgroupobjectpermission',
            unique_together=set([('group', 'permission', 'content_object')]),
        ),
        migrations.AlterUniqueTogether(
            name='superevent',
            unique_together=set([('t_0_date', 'gw_letter_suffix', 'category'), ('t_0_date', 'base_date_number', 'category'), ('t_0_date', 'gw_date_number', 'category'), ('t_0_date', 'base_letter_suffix', 'category')]),
        ),
        migrations.AlterUniqueTogether(
            name='signoff',
            unique_together=set([('superevent', 'instrument')]),
        ),
        migrations.AlterUniqueTogether(
            name='loguserobjectpermission',
            unique_together=set([('user', 'permission', 'content_object')]),
        ),
        migrations.AlterUniqueTogether(
            name='loggroupobjectpermission',
            unique_together=set([('group', 'permission', 'content_object')]),
        ),
        migrations.AlterUniqueTogether(
            name='log',
            unique_together=set([('superevent', 'N')]),
        ),
        migrations.AlterUniqueTogether(
            name='labelling',
            unique_together=set([('superevent', 'label')]),
        ),
        migrations.AlterUniqueTogether(
            name='emobservation',
            unique_together=set([('superevent', 'N')]),
        ),
        migrations.AlterUniqueTogether(
            name='emfootprint',
            unique_together=set([('observation', 'N')]),
        ),
    ]
